/*
 * Copyright (C) 2011 Atmark Techno, Inc. All Rights Reserved.
 */

/*
 * The code contained herein is licensed under the GNU General Public
 * License. You may obtain a copy of the GNU General Public License
 * Version 2 or later at the following locations:
 *
 * http://www.opensource.org/licenses/gpl-license.html
 * http://www.gnu.org/copyleft/gpl.html
 */

#include <linux/platform_device.h>
#include <linux/imx_adc.h>
#include <mach/common.h>

static struct imx_adc_ts_platform_data armadillo400_adc_ts_data = {
#if defined(CONFIG_ARMADILLO400_TOUCHSCREEN_WAKE_SRC_SELECT)
	.should_wakeup = 1,
#endif
	.regulator = "ts-power",
};

static struct platform_device armadillo400_adc_ts_device = {
	.name = "imx_adc_ts",
	.id = 0,
};

void __init armadillo400_touchscreen_init(void)
{
	mxc_register_device(&armadillo400_adc_ts_device,
			    &armadillo400_adc_ts_data);
}
